<div class="card">
    <div class="card-icon">
        <img src="{{iconPath}}" alt="">
    </div>
    <div class="card-detail">
        <div class="title">{{title}}</div>
        <div class="sub-title">{{subTitle}}</div>
    </div>
    <div>
        <span class="edit-btn" (click)="handleEditClick($event)">        
            <img src="assets/icons/icon-pen.png" alt="edit button">
        </span>
    </div>
</div>